<template>
<div class="container">
  <section class="hero">
    <div class="hero-body">
      <div class="container">
        <h1 class="title">
          Lab Work
        </h1>
        <h2 class="subtitle">
          Lab Work is a collection of applications made to show off interesting ideas and applications I've made.
        </h2>
      </div>
    </div>
  </section>
  <div class="container columns main-content">
    <div class="column is-one-third has-text-centered">
      <h2 class="is-size-3">Link Shortener</h2>
      <p class="message-body">Yet Another Link Shortener</p>
      <login next="short" v-if="!this.user.loggedIn"/>
      <button class="button is-dark" v-else @click="goTo('short')">Go</button>
    </div>
    <div class="column is-one-third has-text-centered">
      <h2 class="is-size-3">#Git15</h2>
      <p class="message-body">15 videos for the 15th anniversary of git</p>
      <a href="https://git15.labwork.dev" class="button is-dark" target="_blank">Go</a>
    </div>
    <div class="column is-one-third has-text-centered">
      <h2 class="is-size-3">htTP Calculator</h2>
      <p class="message-body">Calculate the time until you're out of TP</p>
      <a href="https://tp.labwork.dev" class="button is-dark" target="_blank">Go</a>
    </div>
    <div class="column is-one-third has-text-centered">
      <h2 class="is-size-3">More</h2>
      <div class="message-body">
        More coming Soon 😃
      </div>
    </div>
    <div class="column is-one-third has-text-centered">
      
    </div>
  </div>
</div>
</template>

<style scoped>
.main-content {
  min-height: 40vh;
  margin-left: 3em;
  margin-right: 3em;
}

.columns {
  flex-wrap: wrap;
}
</style>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

import Login from '@/components/login.vue';

export default Vue.extend({
  components: {
    Login,
  },
  methods: {
    goTo(name: string) {
      this.$router.push({ name })
    }
  },
  computed: {
      ...mapState(['user'])
  }
})
</script>
